<div class="form-group">
  <label for="{{nameField}}">{{label}}</label>
  <span *ngIf="required" class="field-required">*</span>
  <div class="p-inputgroup">
    <span class="p-inputgroup-addon p-0">
      <i class="fa fa-money-bill"></i>
    </span>
    <input type="text"
           id="{{nameField}}"
           name="{{nameField}}"
           class="form-control"
           [(ngModel)]="value"
           [required]="required"
           (ngModelChange)="setValue()"
           validation
           currencyMask
           pInputText>
  </div>
</div>
